GLFW

- Documentation
- Download
- Media
- Community

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Macros Modules Pages
Macros
Joysticks
Input handling

## Macros
#define | GLFW_JOYSTICK_1 0
#define | GLFW_JOYSTICK_2 1
#define | GLFW_JOYSTICK_3 2
#define | GLFW_JOYSTICK_4 3
#define | GLFW_JOYSTICK_5 4
#define | GLFW_JOYSTICK_6 5
#define | GLFW_JOYSTICK_7 6
#define | GLFW_JOYSTICK_8 7
#define | GLFW_JOYSTICK_9 8
#define | GLFW_JOYSTICK_10 9
#define | GLFW_JOYSTICK_11 10
#define | GLFW_JOYSTICK_12 11
#define | GLFW_JOYSTICK_13 12
#define | GLFW_JOYSTICK_14 13
#define | GLFW_JOYSTICK_15 14
#define | GLFW_JOYSTICK_16 15
#define | GLFW_JOYSTICK_LAST GLFW_JOYSTICK_16

## Detailed Description

See joystick input for how these are used.

## Macro Definition Documentation

#define GLFW_JOYSTICK_1 0

#define GLFW_JOYSTICK_10 9

#define GLFW_JOYSTICK_11 10

#define GLFW_JOYSTICK_12 11

#define GLFW_JOYSTICK_13 12

#define GLFW_JOYSTICK_14 13

#define GLFW_JOYSTICK_15 14

#define GLFW_JOYSTICK_16 15

#define GLFW_JOYSTICK_2 1

#define GLFW_JOYSTICK_3 2

#define GLFW_JOYSTICK_4 3

#define GLFW_JOYSTICK_5 4

#define GLFW_JOYSTICK_6 5

#define GLFW_JOYSTICK_7 6

#define GLFW_JOYSTICK_8 7

#define GLFW_JOYSTICK_9 8

#define GLFW_JOYSTICK_LAST GLFW_JOYSTICK_16